Bug 125535 - evolution/conector crash on delete message
evolution/conector crash on delete message
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-08 12:18 EDT by Nigel Metheringham
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-26 07:25:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nigel Metheringham 2004-06-08 12:18:20 EDT
Description of problem:
evolution frequently crashes on deleting a message on exchange
mail store accessed using connector.  Doing 2 deletes in quick
sequence or delete followed by another operation appears to trigger this.

Version-Release number of selected component (if applicable):
evolution-1.4.6-2 (FC2 stock)
evolution-connector-1.4.7-1 (Dmalcolm rpm)


Additional info:

Further info with crash dump at
  http://bugzilla.ximian.com/show_bug.cgi?id=59810

[however this bug report appears to be inaccessible]
Comment 1 Nigel Metheringham 2004-06-08 12:20:29 EDT
Data that went into ximian bug db including backtrace for what its
worth...

Bug#: 59810
Product: Connector
Version: 1.4.7
OS: GNU/Linux [Other]
OS Details: 
Status: UNCONFIRMED   
Resolution: 
Severity: Unknown
Priority: Normal
Component: Connector
AssignedTo: triage@ximian.com                            
ReportedBy: bugbuddy-import@ximian.com               
QAContact: connector-qa@ximian.com
TargetMilestone: ---
URL: 
Cc: 
Summary: evolution often crashes after deleting message

Distribution: Fedora Core release 2 (Tettnang)
Package: Connector
Priority: Normal
Version: GNOME2.6. 1.4.7
Gnome-Distributor: Red Hat, Inc
Synopsis: evolution often crashes after deleting message
Bugzilla-Product: Connector
Bugzilla-Component: Connector
Bugzilla-Version: 1.4.7
BugBuddy-GnomeVersion: 2.0 (2.6.0)
Description:
Description of the crash:
If you delete a message and immediately try to do something else before
the
action has completed (ie hit delete twice, or delete and cursor up),
evolution
crashes.  This appears to be strongly linked to the connector, although
I think
I have seen it happen a couple of times on non-connector accessed
messages


Steps to reproduce the crash:
1. Delete multiple messages stored on an exchange server one at a time
in quick sucession
2. 
3. 


How often does this happen?
Fairly often on my setup - I am trying to be careful doing deletes yet
see this at least once per day.

Additional Information:
dmalcolm's connector build on FC2 against stock FC2 evolution


Debugging Information:

Backtrace was generated from '/usr/bin/evolution'

(no debugging symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...[Thread debugging using
libthread_db enabled]
[New Thread -150780160 (LWP 10936)]
[New Thread 1488804784 (LWP 15794)]
[Thread debugging using libthread_db enabled]
[New Thread -150780160 (LWP 10936)]
[New Thread 1488804784 (LWP 15794)]
[Thread debugging using libthread_db enabled]
[New Thread -150780160 (LWP 10936)]
[New Thread 1488804784 (LWP 15794)]
[New Thread 1478314928 (LWP 15793)]
[New Thread 1467825072 (LWP 10991)]
[New Thread 1457335216 (LWP 10963)]
[New Thread 1446845360 (LWP 10962)]
[New Thread 1436355504 (LWP 10961)]
[New Thread 123653040 (LWP 10960)]
[New Thread 95644592 (LWP 10959)]
[New Thread 85154736 (LWP 10958)]
[New Thread 74664880 (LWP 10957)]
[New Thread 64175024 (LWP 10956)]
[New Thread 32304048 (LWP 10955)]
[New Thread 53685168 (LWP 10954)]
[New Thread 113163184 (LWP 10953)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...0x001e7402 in ?? ()
#0  0x001e7402 in ?? ()
#1  0x00891eab in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x0784b442 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x001e7402 in ?? ()
#5  0x00655e49 in raise () from /lib/tls/libc.so.6
#6  0x00657872 in abort () from /lib/tls/libc.so.6
#7  0x009afd37 in g_logv () from /usr/lib/libglib-2.0.so.0
#8  0x009afd74 in g_log () from /usr/lib/libglib-2.0.so.0
#9  0x07f0e428 in camel_folder_summary_info_free ()
   from /usr/lib/evolution/1.4/libcamel.so.0
#10 0x07f1493f in camel_folder_get_message_info ()
   from /usr/lib/evolution/1.4/libcamel.so.0
#11 0x07f14998 in camel_folder_free_message_info ()
   from /usr/lib/evolution/1.4/libcamel.so.0
#12 0x00280d1b in message_list_new ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#13 0x0099d506 in g_hash_table_foreach () from
/usr/lib/libglib-2.0.so.0
#14 0x00280dfe in message_list_new ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#15 0x00280f5a in message_list_new ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#16 0x00283641 in message_list_hide_clear ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#17 0x0026e42d in mail_msg_wait_all ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
#18 0x009cc21f in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#19 0x009a6e4a in g_main_depth () from /usr/lib/libglib-2.0.so.0
#20 0x009a7f28 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#21 0x009a8260 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#22 0x009a88a3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#23 0x077570a8 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#24 0x0809ccf4 in main ()

Thread 15 (Thread 113163184 (LWP 10953)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a7877d in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 14 (Thread 53685168 (LWP 10954)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a7877d in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 13 (Thread 32304048 (LWP 10955)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a7877d in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 12 (Thread 64175024 (LWP 10956)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x07f41fae in camel_service_gethost ()
   from /usr/lib/evolution/1.4/libcamel.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 11 (Thread 74664880 (LWP 10957)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x07f41fae in camel_service_gethost ()
   from /usr/lib/evolution/1.4/libcamel.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 10 (Thread 85154736 (LWP 10958)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x07f41fae in camel_service_gethost ()
   from /usr/lib/evolution/1.4/libcamel.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 9 (Thread 95644592 (LWP 10959)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a7877d in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 8 (Thread 123653040 (LWP 10960)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a7877d in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 7 (Thread 1436355504 (LWP 10961)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a7877d in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 6 (Thread 1446845360 (LWP 10962)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a7877d in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 5 (Thread 1457335216 (LWP 10963)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a7877d in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 4 (Thread 1467825072 (LWP 10991)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x00890f7b in __read_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x002ced11 in camel_stub_marshal_free ()
   from /usr/lib/evolution/1.4/camel-providers/libcamelexchange.so
No symbol table info available.
#3  0x002cee5d in camel_stub_marshal_free ()
   from /usr/lib/evolution/1.4/camel-providers/libcamelexchange.so
No symbol table info available.
#4  0x002cef01 in camel_stub_marshal_free ()
   from /usr/lib/evolution/1.4/camel-providers/libcamelexchange.so
No symbol table info available.
#5  0x002cefd8 in camel_stub_marshal_free ()
   from /usr/lib/evolution/1.4/camel-providers/libcamelexchange.so
No symbol table info available.
#6  0x002cf1b9 in camel_stub_marshal_decode_uint32 ()
   from /usr/lib/evolution/1.4/camel-providers/libcamelexchange.so
No symbol table info available.
#7  0x002cf99c in camel_stub_get_type ()
   from /usr/lib/evolution/1.4/camel-providers/libcamelexchange.so
No symbol table info available.
#8  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#9  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 3 (Thread 1478314928 (LWP 15793)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a7877d in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 2 (Thread 1488804784 (LWP 15794)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x0088e790 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x00a77f65 in e_msgport_wait () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#3  0x00a7877d in e_thread_busy () from
/usr/lib/evolution/1.4/libeutil.so.0
No symbol table info available.
#4  0x0088b98c in start_thread () from /lib/tls/libpthread.so.0
No symbol table info available.
#5  0x006ea16a in clone () from /lib/tls/libc.so.6
No symbol table info available.

Thread 1 (Thread -150780160 (LWP 10936)):
#0  0x001e7402 in ?? ()
No symbol table info available.
#1  0x00891eab in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x0784b442 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x001e7402 in ?? ()
No symbol table info available.
#5  0x00655e49 in raise () from /lib/tls/libc.so.6
No symbol table info available.
#6  0x00657872 in abort () from /lib/tls/libc.so.6
No symbol table info available.
#7  0x009afd37 in g_logv () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#8  0x009afd74 in g_log () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#9  0x07f0e428 in camel_folder_summary_info_free ()
   from /usr/lib/evolution/1.4/libcamel.so.0
No symbol table info available.
#10 0x07f1493f in camel_folder_get_message_info ()
   from /usr/lib/evolution/1.4/libcamel.so.0
No symbol table info available.
#11 0x07f14998 in camel_folder_free_message_info ()
   from /usr/lib/evolution/1.4/libcamel.so.0
No symbol table info available.
#12 0x00280d1b in message_list_new ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
No symbol table info available.
#13 0x0099d506 in g_hash_table_foreach () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#14 0x00280dfe in message_list_new ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
No symbol table info available.
#15 0x00280f5a in message_list_new ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
No symbol table info available.
#16 0x00283641 in message_list_hide_clear ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
No symbol table info available.
#17 0x0026e42d in mail_msg_wait_all ()
   from /usr/lib/evolution/1.4/components/libevolution-mail.so
No symbol table info available.
#18 0x009cc21f in g_vasprintf () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#19 0x009a6e4a in g_main_depth () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#20 0x009a7f28 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#21 0x009a8260 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#22 0x009a88a3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#23 0x077570a8 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#24 0x0809ccf4 in main ()
No symbol table info available.
#0  0x001e7402 in ?? ()

Comment 2 Matthew Miller 2005-04-26 11:47:48 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Nigel Metheringham 2006-03-26 07:25:44 EST
This is ancient.  Evolution versions have changed dramatically - and exchange
interfacing is broken in whole new and different ways now.

I see no useful purpose in keeping this bug open even in NEEDINFO form - 
I can't retest now anyhow.  So closed as CANTFIX

Note You need to log in before you can comment on or make changes to this bug.